<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body bgcolor="#FFFFFF" style = "margin-top: 5px; margin-left: 5px; margin-right: 5px; margin-bottom: 5px;">
<table bgcolor="#FFFFFF" width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url(images/bg-2.gif);background-repeat: repeat-x; background-position: bottom; ">
  <tr>
    <td >
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url(images/bg-1.gif); background-repeat: repeat-x; background-position: top; " >
  <tr>
    <td >
	<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
   <td><img src="images/spacer.gif" width="10" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="174" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="24" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="40" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="400" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="20" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="10" height="1" border="0"/></td>
   <td><img src="images/spacer.gif" width="10" height="1" border="0"/></td>
  </tr>

  <tr>
   <td></td>
   <td colspan="6"></td>
   <td rowspan="11"></td>
   <td><img src="spacer.gif" width="1" height="25" border="0"/></td>
  </tr>
  <tr>
    <td colspan="2" rowspan="4" align="center" valign="top" style="background-image: url(images/logobg.gif); background-repeat: repeat-y; background-position: right top; ">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr>
        <td align="center" valign="bottom" style="padding-left:40px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a></td>
      </tr>
      <tr align="center">
        <td class="logoword" style="padding-left:40px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
      <tr align="center">
        <td style="padding-left:40px"><span class="logo"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
      </tr>
    </table>
	</td>
   <td rowspan="4" colspan="2"><img src="images/headers1_01.gif"  border="0"/></td>
   <td background="images/headers1_03.gif"><img src="images/headers1_02.gif"  border="0"/></td>
   <td rowspan="3" colspan="2"><img src="images/headers1_04.gif"  border="0"/></td>
   <td><img src="spacer.gif" width="1" height="160" border="0"/></td>
  </tr>
  <tr>
    <td align="center" background="images/bullet_top1.gif">
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="15"></td>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table></td>
    <td><img src="spacer.gif" width="1" height="66" border="0"/></td>
  </tr>
  <tr>
    <td align="center"><img src="images/bullet_top2.gif" border="0"/></td>
   <td><img src="spacer.gif" width="1" height="16" border="0"/></td>
  </tr>
  <tr>
    <td background="images/left4.gif"></td>
   <td colspan="2"><img src="images/left6.gif"  border="0"/></td>
   <td><img src="spacer.gif" width="1" height="17" border="0"/></td>
  </tr>
  <tr>
    <td></td>
   <td colspan="2" valign="top" width="198"  height="100%">
   <table width="198"  border="0" cellspacing="0" cellpadding="0">
     <tr>
       <td align="center" valign="top" background="images/bullet_right2.gif">
	   <table width="198" border="0" cellspacing="0" cellpadding="0">
         <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
         </tr>
       </table></td>
     </tr>
     <tr>
       <td><img src="images/bullet_right3.gif" width="198" height="21" border="0"/></td>
     </tr>
     <tr>
       <td><img src="images/bullet_right5.gif" width="198" height="24" border="0"/></td>
     </tr>
   </table></td>
   <td rowspan="2" background="images/left_2.gif"></td>
   <td rowspan="2" valign="top" background="images/left5.gif" width="100%" height="100%" >
   <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td height="30" valign="bottom">
	   <table cellpadding="0" cellspacing="0" border="0">
           <tr>
             <td width="25" class="text-header"></td>
             <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td class="icon"><img src="images/title_point.gif"  border="0"/></td>
           </tr>
       </table></td>
     </tr>
     <tr>
       <td valign="top" class="pageContent" style="padding: 20px 10px 25px 25px;"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
     </tr>
   </table>
   </td>
   <td colspan="2" rowspan="2" background="images/left7.gif"></td>
   <td rowspan="2"><img src="spacer.gif" width="1" height="355" border="0"/></td>
  </tr>
  <tr>
    <td></td>
    <td colspan="2" valign="bottom"><img src="images/bullet_right6.gif" width="198" height="214" border="0"/></td>
  </tr>
  <tr>
    <td></td>
    <td colspan="2"></td>
   <td><img src="images/left3.gif" width="40" height="21" border="0"/></td>
   <td background="images/left9.gif"></td>
   <td colspan="2"><img src="images/left8.gif" width="44" height="21" border="0"/></td>
   <td><img src="spacer.gif" width="1" height="21" border="0" /></td>
  </tr>
  <tr>
   <td height="100"  colspan="3" rowspan="2"></td>
   <td height="100" rowspan="2" align="center"></td>
  <td height="100" rowspan="2" align="center"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td height="20"></td>
    </tr>
    <tr>
      <td align="center">
	  <table border="0" cellspacing="0" cellpadding="0">
          <tr>
<xsl:call-template name="BOTTOM-MENU"/>
          </tr>
      </table></td>
    </tr>
    <tr>
      <td height="20"></td>
    </tr>
    <tr>
      <td align="center"><span class="menu"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></td>
    </tr>
    <tr>
      <td height="30" align="center"></td>
    </tr>
  </table></td>
   <td height="100" colspan="2" rowspan="2" align="center"></td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
           <td class="iconright-2"></td>
           <td align="center" background="images/bullet_icon3.gif" class="iconright"><img src="images/bullet_icon1.gif" width="15" height="15"/></td>
           <td width="130" background="images/bullet_icon3.gif"><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           <td class="iconright-3"></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>   <td class="iconright-2"></td>
       <td align="center" class="iconright"><img src="images/bullet_icon1.gif"/></td>
       <td width="130"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       <td class="iconright-3"></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 <td width="27"></td>
     <td colspan="2"><img src="images/bullet_icon2.gif" width="162" height="2"/></td>
     <td width="7"></td>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

       <td><div align="right"><a href='{@HREF}' class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </a></div></td>
       <td class="icon"><img src="images/bullet_foot.gif" /></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

	   <td class="bmenua"><div align="right"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
       <td class="icon"><img src="images/bullet_foot.gif" /></td>

           </xsl:when>
           <xsl:otherwise>

       <td><div align="right"><a href='{@HREF}' class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </a></div></td>
       <td class="icon"><img src="images/bullet_foot.gif" /></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
