<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>
<html>
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
	<xsl:apply-templates select="META-TAGS"/>
    <link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">

<table border="0" cellpadding="0" cellspacing="0" style="width:100%; height:100%; background-image: url(images/main-bg.gif); background-repeat: repeat;">
	<tr>
		<td height="60">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="281"><img src="images/main-top-left-corner.gif" width="281" height="60" alt="" border="0"/></td>
					<td width="100%"><span></span></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="259">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="100%" style="background-image: url(images/header-bg.gif); background-repeat: repeat;">
						<table border="0" cellpadding="0" cellspacing="0" style="width: 655px; height: 259px;">
							<tr>
								<td width="100%" style="height: 100%; background-image: url(images/header.jpg); background-repeat: no-repeat;" valign="top">
									<table border="0" cellpadding="0" cellspacing="0" style="widht: 100%;">
										<tr>
											<td width="300" valign="top">
												<table  border="0" cellpadding="0" cellspacing="0" >
													<tr>
														<td height="145" style="padding-left: 90px;">
															<table border="0" cellpadding="0" cellspacing="0">
																<tr>
																	<td style="padding-right: 13px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
																	<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
																	<td><div style="width: 22px; height: 0px;"><span></span></div></td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td><div style="width: 0px; height: 10px;"><span></span></div></td>
													</tr>
													<tr>
														<td class="slogan" valign="top" style="height: 100%; padding-left: 121px; padding-right: 13px;" align="right"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
													</tr>
												</table>
											</td>
											<td valign="top" align="left" style="padding-top: 26px;">
												<!-- menu -->
												<table  border="0" cellpadding="0" cellspacing="0" >
													<tr>
														<xsl:call-template name="TOP-MENU"/>
													</tr>
												</table>
												<!-- /menu -->
 											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td style="background-image: url(images/main-top-bg.gif); background-repeat: repeat;"><div style="width: 102px; height: 217px;"><span></span></div></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td style="height: 100%">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height:100%;">
				<tr>
					<td style="background-image: url(images/main-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 100%;"><span></span></div>
					</td> 
					<td width="100%" style="height: 100%" class="content-bg">
						<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height:100%;">
							<tr>
								<td width="196" valign="top" style="padding-top: 27px; padding-left: 30px;">
									<!-- submenu -->
									<table border="0" cellpadding="0" cellspacing="0" WIDTH="166" align="right">
										<xsl:call-template name="SUB-MENU">
										<xsl:with-param name="pageID" select="@ID"/>
										</xsl:call-template>
									</table>
									<!-- /submenu -->
								</td>
								<td style="background-image: url(images/content-separator.gif); background-repeat: repeat;"><div style="width: 1px; height: 0px;"><span></span></div></td>
								<td width="100%" style="padding-left: 29px; padding-top: 13px; " valign="top">
									<table  border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td>
												<table  border="0" cellpadding="0" cellspacing="0">
													<tr>
														<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
														<td style="padding-left: 10px; padding-top: 1px;"><img src="images/txtheader_bullet.gif" width="17" height="17" alt="" border="0"/></td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td class="pageContent" style="padding: 10px 10px 10px 0;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td style="background-image: url(images/main-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 100%;"><span></span></div>
					</td> 
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="51">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="102" style="background-image: url(images/main-bottom-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 51px;"><span></span></div>
					</td>
					<td width="100%" style="background-image: url(images/bmenu-bg.gif); background-repeat: repeat;" align="center">
						<!-- bottom menu -->
						<table border="0" cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- /bottom menu -->
					</td>
					<td width="102" style="background-image: url(images/main-bottom-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 51px;"><span></span></div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="46">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td style="background-image: url(images/main-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 100%px;"><span></span></div>
					</td> 
					<td width="100%" height="46" class="content-bg" align="center">
						<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
					</td>
					<td style="background-image: url(images/main-bg.gif); background-repeat: repeat;">
						<div style="width: 102px; height: 100%px;"><span></span></div>
					</td> 
				</tr>
			</table>
		</td>
	</tr>	
	<tr>
		<td height="60">
			<div style="width: 0px; height: 60px;"><span></span></div>
		</td>
	</tr>
</table>
</body>

</html>
</xsl:template>

<xsl:template name="TOP-MENU">
<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
<xsl:param name="pageID"/>
<xsl:choose>
<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
</xsl:when>
<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
<xsl:choose>
<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
		<td class="asubmenu" width="127"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		<td width="39"><img src="images/submenu_bullet.gif" width="9" height="9" alt="" border="0"/></td>
	</tr>
</xsl:when>
<xsl:otherwise>
<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
		<td width="127"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td width="39"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="9" height="9" alt="" border="0"/></a></td>
	</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">
	<tr><td colspan="2" height="20"><img src="images/submenu_hr.gif" width="136" height="1" alt="" border="0"/></td></tr>
</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">   		
<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
<xsl:choose>
<!-- when vizited inside-->
<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	<td style="padding-right: 9px; padding-left: 9px;"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:when>
<!-- when active-->
<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
	<td style="padding-right: 9px; padding-left: 9px;" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</xsl:when>
<xsl:otherwise>
	<td style="padding-right: 9px; padding-left: 9px;"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">
	<td width="7"><img src="images/bmenu_separator.gif" width="7" height="47" alt="" border="0"/></td>
</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
<meta name="{local-name(.)}">
<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
</meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
<xsl:comment> EDITABLE CONTENT </xsl:comment>
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>

